Name:           wait-for-copr
Version:        0.0.1.post28+gb1d8c28
Release:        1.20250210232439199769.pr19.28.gb1d8c28%{?dist}
Summary:        A tool for integrating upstream projects with Fedora operating system

License:        MIT
URL:            https://github.com/packit/wait-for-copr
Source0:        wait_for_copr-0.0.1.post28+gb1d8c28.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel

%description
A tool to wait for dependencies being built in Copr.

%prep
%autosetup -n wait_for_copr-0.0.1.post28+gb1d8c28


%generate_buildrequires
# The -w flag is required for EPEL 9's older hatchling
%pyproject_buildrequires %{?el9:-w}

%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files wait_for_copr

%files -f %{pyproject_files}
%{_bindir}/wait-for-copr

# Epel9 does not tag the license file in pyproject_files as a license. Manually install it in this case
%if 0%{?el9}
%license LICENSE
%endif

%doc README.md

%changelog
%autochangelog
